import { createRouter, createWebHistory } from 'vue-router';

const router = createRouter({
  history: createWebHistory(),
  routes: [
    {
      path: '/',
      redirect: '/home',
    },
    {
      path: '/home',
      name: 'Home',
      component: () => import('@/views/index.vue'),
    },
    {
      path: '/test',
      name: 'Test',
      component: () => import('@/views/test/ocrTest.vue'),
    },
    {
      path: '/test2',
      name: 'SignatureTest',
      component: () => import('@/views/test/signatureTest.vue'),
    },
    {
      path: '/test3',
      name: 'WordConvertTest',
      component: () => import('@/views/test/test3.vue'),
    },
    {
      path: '/test4',
      name: 'WordToPdfTest',
      component: () => import('@/views/test/test4.vue'),
    },
    {
      path: '/tencent-doc',
      name: 'TencentDocCrawler',
      component: () => import('@/views/test/tencentDocCrawler.vue'),
    },
    {
      path: '/canvas-ocr',
      name: 'CanvasOcr',
      component: () => import('@/views/test/canvasOcr.vue'),
    },
    /* {
      path: '/login',
      name: 'login',
      component: () => import('@/views/login/index.vue'),
      meta: {
        requiresAuth: false,
      },
    }, */
  ],
  scrollBehavior() {
    return { top: 0 };
  },
});

export default router;
